import { Network } from "@wormhole-foundation/sdk-base";
import { ChainContext, TokenId } from "@wormhole-foundation/sdk-definitions";
import { Wormhole } from "../wormhole";
import { RouteTransferRequest } from "./request";
import { Route, RouteConstructor } from "./route";
export declare class RouteResolver<N extends Network> {
    wh: Wormhole<N>;
    routeConstructors: RouteConstructor[];
    inputTokenList?: TokenId[];
    constructor(wh: Wormhole<N>, routeConstructors: RouteConstructor[]);
    supportedSourceTokens(chain: ChainContext<Network>): Promise<TokenId[]>;
    supportedDestinationTokens(inputToken: TokenId, fromChain: ChainContext<Network>, toChain: ChainContext<Network>): Promise<TokenId[]>;
    findRoutes(request: RouteTransferRequest<N>): Promise<Route<N>[]>;
}
//# sourceMappingURL=resolver.d.ts.map