import { TokenId } from "@wormhole-foundation/sdk-definitions";
import { AttestationReceipt, TransferReceipt } from "../types";
import { amount } from "@wormhole-foundation/sdk-base";
export interface Options {
}
export interface TransferParams<OP> {
    amount: string;
    options?: OP;
}
export type Receipt<AT extends AttestationReceipt = AttestationReceipt> = TransferReceipt<AT>;
export interface ValidatedTransferParams<OP> extends Required<TransferParams<OP>> {
}
export type ValidationResult<OP> = {
    params: ValidatedTransferParams<OP>;
    valid: true;
} | {
    params: TransferParams<OP>;
    valid: false;
    error: Error;
};
export type QuoteResult<OP, VP extends ValidatedTransferParams<OP> = ValidatedTransferParams<OP>, D = any> = Quote<OP, VP, D> | QuoteError;
export type Quote<OP, VP extends ValidatedTransferParams<OP> = ValidatedTransferParams<OP>, D = any> = {
    success: true;
    params: VP;
    sourceToken: {
        token: TokenId;
        amount: amount.Amount;
    };
    destinationToken: {
        token: TokenId;
        amount: amount.Amount;
    };
    relayFee?: {
        token: TokenId;
        amount: amount.Amount;
    };
    destinationNativeGas?: amount.Amount;
    details?: D;
};
export type QuoteError = {
    success: false;
    error: Error;
};
//# sourceMappingURL=types.d.ts.map