// Transfer state machine states
export var TransferState;
(function (TransferState) {
    TransferState[TransferState["Failed"] = -1] = "Failed";
    TransferState[TransferState["Created"] = 0] = "Created";
    TransferState[TransferState["SourceInitiated"] = 1] = "SourceInitiated";
    TransferState[TransferState["SourceFinalized"] = 2] = "SourceFinalized";
    TransferState[TransferState["Attested"] = 3] = "Attested";
    TransferState[TransferState["DestinationInitiated"] = 4] = "DestinationInitiated";
    TransferState[TransferState["DestinationFinalized"] = 5] = "DestinationFinalized";
})(TransferState || (TransferState = {}));
export function isAttested(receipt) {
    return receipt.state === TransferState.Attested;
}
export function isSourceInitiated(receipt) {
    return receipt.state === TransferState.SourceInitiated;
}
export function isSourceFinalized(receipt) {
    return receipt.state === TransferState.SourceFinalized;
}
//# sourceMappingURL=wormholeTransfer.js.map